#include "shapes.h"
#include <QColor>
#include <QVector4D>

void Cube::accept(Visitor &v) {
	v.visit(*this);
}

// ***

void Cube::setColor(QColor& c) {
	color = QColor(c);
}

QColor Cube::getColor(){
	return color;
};
